/* FONT FAMILY */

/* @font-face {
  font-family: "etna-font";
  src: url("/font/etna-free-font.otf") format("truetype");
  font-weight: normal;
  font-style: normal;
} */

@import url('https://fonts.googleapis.com/css2?family=Orbitron:wght@400;700&display=swap');

body {
    background-color: #1e1e1e;
    margin: 0;
    /* height: 300vh; */
    overflow-x: hidden;
}

.main-container {
  position: relative;
  background-color: #1e1e1e;
  /* background-image: url(/images/background\ line.png); */
  background-size: cover;
  background-attachment: fixed;
  background-position: center;
  padding: 10px;
  z-index: 1;
}

.parallax {
    position: fixed;
    top: -5%;
    left: -5%;
    width: 110%;
    height: 10%;
    overflow: hidden;
}

.bg {
    position: fixed;
    /* top: 0; */
    /* left: 0; */
    width: 110%;
    height: 110%;
    transform: translate(-5%, -5%) scale(1.2);
    background-size: cover;
    background-position: center;
    will-change: transform;
}

#bg1 { background-image: url("/images/Backgroun-line/Background\ line\ lv.1.png"); z-index: 1; }
#bg2 { background-image: url("/images/Backgroun-line/Background\ line\ lv.2.png"); z-index: 2; }
#bg3 { background-image: url("/images/Backgroun-line/Background\ line\ lv.3.png"); z-index: 3; }


#bg1 { transform: translateZ(-200px) scale(1.3); }
#bg2 { transform: translateZ(-100px) scale(1.15); }
#bg3 { transform: translateZ(0px); }


header {
  background-image: url("/images/HEADER.png");
  background-size: cover;         
  background-repeat: no-repeat;
  background-position: center top; 
  

  margin-bottom: 0;
  max-height: 30vh; 
  max-height: 60vh;
  padding: 10px;
  
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  /* z-index: 99999; */
}


header img {
  height: auto;
  display: block;
  height: auto;
}

@media (max-width: 768px) {
  header img {
    width: 90%;
  }
}

@media (max-width: 480px) {
  header img {
    width: 100%;
  }
}



.intro-video {
  position: relative;
  margin: 0;
  
  width: 100%;
  height: auto;
  
  overflow: hidden;
  border-radius: 10px;
}

.intro-video video {
  width: 100%;
  height: auto;
  object-fit: cover; /* riempie lo schermo senza distorsioni */
  z-index: 0;
}

.video-txt {
  font-family: "orbitron";
  /* font-size: 40px; */
  font-weight: bolder;
  padding-bottom: 10px;
}


.video-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /* backdrop-filter: blur(5px);  */
  background: rgba(0, 0, 0, 0.3); 
  z-index: 1;
}

.overlay-content {
  position: absolute;
  top: 70%;
  left: 50%;
  transform: translateX(-50%);
  z-index: 2; 

  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;

  color: #b3ff00;
  font-family: "orbitron";
  font-weight: bolder;
}

.arrow {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  
  gap: -10px;
  margin-top: 8px;
  width: 100%; 

  transition: all 0.3s ease-in-out;
}

.freccia-down {
  display: block; 
  
  width: 70px;
  height: 12px;
  gap: 2px;
  margin-top: -10px; 

  transition: all 0.3s ease-in-out;

}

/* Hover sull’intero gruppo */
.arrow:hover {
  margin-top: 16px;            /* si distanziano leggermente */
  transform: scale(1.05); /* si ingrandisce l’intero gruppo */
}

/* Optional: effetto extra quando il mouse è proprio sopra una singola freccia */
.arrow:hover .freccia-down {
  opacity: 0.9;
  transform: scaleX(1.5); 
}

/* ____________________GRAFICHETTA SCROLL DOWN */
.mouse {
  display: inline-flex;
  width: 25px;
  height: 50px;
  border: 2px solid #b3ff00;
  border-radius: 20px;
}

.mouse-wheel {
  display: inline-block;
  width: 10px;
  height: 10px;
  background-color: #b3ff00;
  border-radius: 50%;
  margin: auto;
  animation: moveWheel 1.25s linear infinite;
}

@keyframes moveWheel {
  0% {
    opacity: 0;
    translate: 0 16px;
  }  
  
  100% {
    opacity: 1;
    translate: 0 -16px;
  }
}

/*                ------------------ SLIDE CONTAINER */

.slide-container {
  display: flex;
  flex-direction: column; 
  align-items: center;
  gap: 60px; 
  width: 100%;
  padding: 50px 0;
}

.box {
  width: 50%;
  padding: 0.5rem;

  background: rgba(179, 255, 0, 0.75);
  color: #fff;
  border-radius: 10px;
  font-family: "orbitron";
  
  animation: appear ease-in-out;
  animation-timeline: view();
  animation-range: entry 0% cover 40%;

  overflow: hidden;
}

.left {
  align-self: flex-start; 
  margin-left: 5%;
}

.right {
  align-self: flex-end; 
  margin-right: 5%;
}

.content-1 {
  width: 100%;
  height: auto;
  text-align: center;
}

.content-1 img {
  width: 100%;
  height: auto;
  display: block;
  object-fit: cover;
  border-radius: 5px;
}


/*        CONTENT 2 */
.content-2 {
  width: 100%;
  height: auto;
  text-align: center;
}

.content-2 video {
  width: 100%;
  height: auto;
  display: block;
  object-fit: cover;
  border-radius: 5px;
}

/*        content-3 */
.content-3 {
  width: 100%;
  height: auto;
  text-align: center;
}

.content-3 img {
  width: 100%;
  height: auto;
  display: block;
  object-fit: cover;
  border-radius: 5px;
}




/*                    ------------------FOOTER */
.site-footer {
  background-image: url("/images/FOOTER.png");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: top center; 

  text-align: center;
  font-family: "orbitron";
  font-size: 17px;
  font-weight: bolder;
  color: rgb(0, 0, 0);

  margin-top: 2em;
  min-height: 30vh; 
  max-height: 40vh;
  
  position: sticky;
  bottom: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.copy-footer {
  display: flexbox;
  text-align: center;
  align-items: center;
  justify-content: center;
}
                 /*---------------------ICONE LINK SOCIAL*/

.link-social {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 20px;
  padding: 10px;
  margin: 20px auto;
}

.link-social img {
  width: 70px;
  height: 70px;
  object-fit: contain;
  cursor: pointer;
  opacity: 75%;
  transition: 0.5s;
}

.link-social img:hover {
  width: 85px;
  height: auto;
  opacity: 100%;
}
